Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.writers
Interface ReportSummary

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  DefaultReportSummary

public interface ReportSummary
extends Cloneable

The purpose of ReportSummary is to provide a detailed description of the reports generated, how long it took and where the generated files are located.

Method Summary
`void` | `addPageSummary(PageSummary summary)` Add a page summary to the report summary
`long` | `getElapsedTime()` This should be the elapsed time to run all the reports.
`PageSummary[]` | `getPagesSummaries()` The method should return a list of the pages generated for the report and whether it succeeded or not
`void` | `removePageSummary(PageSummary summary)` Remove a page summary from the report summary.

Method Detail

### addPageSummary

    public void addPageSummary(PageSummary summary)

  Add a page summary to the report summary

  Parameters:
    `summary` -

### getElapsedTime

    public long getElapsedTime()

  This should be the elapsed time to run all the reports. Classes implementing it should simply add up the elapsed time for each report page.

  Returns:
    elapsed time

### getPagesSummaries

    public PageSummary[] getPagesSummaries()

  The method should return a list of the pages generated for the report and whether it succeeded or not

  Returns:
    page summary array

### removePageSummary

    public void removePageSummary(PageSummary summary)

  Remove a page summary from the report summary.

  Parameters:
    `summary` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.